/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Sentiment</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getSentiment()
 * @model
 * @generated
 */
public enum Sentiment implements Enumerator
{
  /**
   * The '<em><b>SENT UNSPECIFIED</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_UNSPECIFIED_VALUE
   * @generated
   * @ordered
   */
  SENT_UNSPECIFIED(0, "SENT_UNSPECIFIED", "SENT_UNSPECIFIED"),

  /**
   * The '<em><b>SENT NEUTRAL</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_NEUTRAL_VALUE
   * @generated
   * @ordered
   */
  SENT_NEUTRAL(1, "SENT_NEUTRAL", "neutral"),

  /**
   * The '<em><b>SENT POSITIVE</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_POSITIVE_VALUE
   * @generated
   * @ordered
   */
  SENT_POSITIVE(2, "SENT_POSITIVE", "positive"),

  /**
   * The '<em><b>SENT NEGATIVE</b></em>' literal object.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_NEGATIVE_VALUE
   * @generated
   * @ordered
   */
  SENT_NEGATIVE(3, "SENT_NEGATIVE", "negative");

  /**
   * The '<em><b>SENT UNSPECIFIED</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_UNSPECIFIED
   * @model
   * @generated
   * @ordered
   */
  public static final int SENT_UNSPECIFIED_VALUE = 0;

  /**
   * The '<em><b>SENT NEUTRAL</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_NEUTRAL
   * @model literal="neutral"
   * @generated
   * @ordered
   */
  public static final int SENT_NEUTRAL_VALUE = 1;

  /**
   * The '<em><b>SENT POSITIVE</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_POSITIVE
   * @model literal="positive"
   * @generated
   * @ordered
   */
  public static final int SENT_POSITIVE_VALUE = 2;

  /**
   * The '<em><b>SENT NEGATIVE</b></em>' literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #SENT_NEGATIVE
   * @model literal="negative"
   * @generated
   * @ordered
   */
  public static final int SENT_NEGATIVE_VALUE = 3;

  /**
   * An array of all the '<em><b>Sentiment</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private static final Sentiment[] VALUES_ARRAY =
    new Sentiment[]
    {
      SENT_UNSPECIFIED,
      SENT_NEUTRAL,
      SENT_POSITIVE,
      SENT_NEGATIVE,
    };

  /**
   * A public read-only list of all the '<em><b>Sentiment</b></em>' enumerators.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public static final List<Sentiment> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

  /**
   * Returns the '<em><b>Sentiment</b></em>' literal with the specified literal value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param literal the literal.
   * @return the matching enumerator or <code>null</code>.
   * @generated
   */
  public static Sentiment get(String literal)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      Sentiment result = VALUES_ARRAY[i];
      if (result.toString().equals(literal))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Sentiment</b></em>' literal with the specified name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param name the name.
   * @return the matching enumerator or <code>null</code>.
   * @generated
   */
  public static Sentiment getByName(String name)
  {
    for (int i = 0; i < VALUES_ARRAY.length; ++i)
    {
      Sentiment result = VALUES_ARRAY[i];
      if (result.getName().equals(name))
      {
        return result;
      }
    }
    return null;
  }

  /**
   * Returns the '<em><b>Sentiment</b></em>' literal with the specified integer value.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the integer value.
   * @return the matching enumerator or <code>null</code>.
   * @generated
   */
  public static Sentiment get(int value)
  {
    switch (value)
    {
      case SENT_UNSPECIFIED_VALUE: return SENT_UNSPECIFIED;
      case SENT_NEUTRAL_VALUE: return SENT_NEUTRAL;
      case SENT_POSITIVE_VALUE: return SENT_POSITIVE;
      case SENT_NEGATIVE_VALUE: return SENT_NEGATIVE;
    }
    return null;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final int value;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String name;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private final String literal;

  /**
   * Only this class can construct instances.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  private Sentiment(int value, String name, String literal)
  {
    this.value = value;
    this.name = name;
    this.literal = literal;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int getValue()
  {
    return value;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getName()
  {
    return name;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String getLiteral()
  {
    return literal;
  }

  /**
   * Returns the literal value of the enumerator, which is its string representation.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    return literal;
  }
  
} //Sentiment
